DEVRES_FIND(9)

NAME
devres_find - Find device resource

SYNOPSIS

void * devres_find(struct device * dev, dr_release_t release, dr_match_t match, void * match_data);

ARGUMENTS

dev
    Device to lookup resource from

release
    Look for resources associated with this release function

match
    Match function (optional)

match_data
    Data for the match function

DESCRIPTION

Find the latest devres of dev which is associated with release and for which match returns 1. If match is NULL, it's considered to match all.

RETURNS

Pointer to found devres, NULL if not found.

COPYRIGHT